PUT
/v2/providers/marketplace_openapi/apis/api/v1/coupon-items2609170000[Downloadable Coupon] Item Creation
KRTW
# 01
簡介
[Downloadable Coupon] Item Creation
# 02
詳細內容
Available buyer market: Korea
You may use this API to apply downloadable coupons created to vendorItemId.
Note that coupons that are not added to applicable items will be destroyed.
路徑
PUT/v2/providers/marketplace_openapi/apis/api/v1/coupon-items
範例端點
https://api-gateway.coupang.com/v2/providers/marketplace_openapi/apis/api/v1/coupon-itemsURL API Name
Add_VENDOR_ITEMS_TO_COUPON
# 03
請求內容
請求參數
請求內容參數
| Name | Type | Description |
|---|---|---|
| couponItems* | object[] | Data to apply coupon to product
|
| couponId couponItems[].couponId | string | Coupon ID Available in the coupon creation response |
| userId couponItems[].userId | string | User account (WING login ID)
|
| vendorItemIds couponItems[].vendorItemIds | object[] | OptionID(s) to which to apply coupon The maximum number of Item ID's you can upload each time is 100. |
請求範例application/json
{
"couponItems": [
{
"couponId": "15350660",
"userId": "testaccount1",
"vendorItemIds": [
2306264997,
4802314648,
4230264914
]
}
]
}# 04
回應內容
回應訊息
| Name | Type | Description |
|---|---|---|
| requestResultStatus | string | Result of call SUCCESS / FAIL |
| body | object | |
| couponId body.couponId | integer | Applicable coupon ID
|
| errorCode | string | Categorization of errors that occur
|
| errorMessage | string | Details of error
|
Response Example
{
"requestResultStatus": "SUCCESS",
"body": {
"couponId": 15350660
},
"errorCode": null,
"errorMessage": null
}# 05
錯誤碼
| HTTP | 代碼 | 訊息 |
|---|---|---|
| 400 | HTTP_400 | Bad Request |
錯誤說明
| HTTP | 類型 | 錯誤訊息 | 解決方案 |
|---|---|---|---|
| 400 | 400 (Check request parameter) | This promotion has been deleted. | Check if you entered couponID correctly. Also check if couponID was deleted because coupon was not applied to option. |